Bug 814244 - [abrt] kdepim-4.8.1-4.fc16: memset: Process /usr/bin/korganizer was killed by signal 7 (SIGBUS)
[abrt] kdepim-4.8.1-4.fc16: memset: Process /usr/bin/korganizer was killed by...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepimlibs (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:4222e3d38757825d318abdd3f72...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 08:56 EDT by Mark Stanton
Modified: 2012-05-13 13:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: 4.8.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-13 13:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (6.50 KB, text/plain)
2012-04-19 08:56 EDT, Mark Stanton
no flags Details
File: var_log_messages (72.04 KB, text/plain)
2012-04-19 08:56 EDT, Mark Stanton
no flags Details
File: backtrace (25.45 KB, text/plain)
2012-04-19 08:56 EDT, Mark Stanton
no flags Details
File: backtrace (25.45 KB, text/plain)
2012-05-03 12:28 EDT, Mark Stanton
no flags Details

  None (edit)
Description Mark Stanton 2012-04-19 08:56:48 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/korganizer
crash_function: memset
executable:     /usr/bin/korganizer
kernel:         3.3.2-1.fc16.x86_64
pid:            4604
pwd:            /home/Mark/Documents
reason:         Process /usr/bin/korganizer was killed by signal 7 (SIGBUS)
time:           Thu 19 Apr 2012 13:41:00 BST
uid:            1000
username:       Mark

backtrace:      Text file, 26065 bytes
maps:           Text file, 6656 bytes
var_log_messages: Binary file, 73765 bytes

dso_list:
:/usr/lib64/libkdepim.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libkdepim.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/etc/ld.so.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330346412
:/etc/ld.so.cache glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1332680692
:/usr/lib64/libkldap.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkldap.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkdepimdbusinterfaces.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libkdepimdbusinterfaces.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/usr/lib64/libcalendarsupport.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libcalendarsupport.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/usr/bin/korganizer kdepim-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790126
:/usr/bin/korganizer kdepim-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820823
:/usr/lib64/libkorganizerprivate.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libkorganizerprivate.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/usr/lib64/libakonadi-contact.so.4.8.0 kdepimlibs-akonadi-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293468
:/usr/lib64/libakonadi-contact.so.4.8.0 kdepimlibs-akonadi-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820519
:/usr/lib64/libkpimtextedit.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkpimtextedit.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkdeui.so.5.8.0 kdelibs-6:4.8.1-3.fc16.x86_64 (Fedora Project) 1333482447
:/usr/lib64/libkdeui.so.5.8.0 kdelibs-6:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820506
:/usr/lib64/libkholidays.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkholidays.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkontactinterface.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkontactinterface.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkcalcore.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkcalcore.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkparts.so.4.8.0 kdelibs-6:4.8.1-3.fc16.x86_64 (Fedora Project) 1333482447
:/usr/lib64/libkparts.so.4.8.0 kdelibs-6:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820506
:/usr/lib64/libakonadi-kde.so.4.8.0 kdepimlibs-akonadi-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293468
:/usr/lib64/libakonadi-kde.so.4.8.0 kdepimlibs-akonadi-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820519
:/usr/lib64/libkpimidentities.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkpimidentities.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518
:/usr/lib64/libkorganizer_interfaces.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libkorganizer_interfaces.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/usr/lib64/libkorganizer_core.so.4.8.0 kdepim-libs-7:4.8.1-4.fc16.x86_64 (Fedora Project) 1333790119
:/usr/lib64/libkorganizer_core.so.4.8.0 kdepim-libs-7:4.8.2-1.fc16.x86_64 (Fedora Project) 1334820777
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330346412
:/usr/lib64/libkcalutils.so.4.8.0 kdepimlibs-4.8.1-3.fc16.x86_64 (Fedora Project) 1333293459
:/usr/lib64/libkcalutils.so.4.8.0 kdepimlibs-4.8.2-1.fc16.x86_64 (Fedora Project) 1334820518

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=3651
:XDG_SESSION_ID=6
:HOSTNAME=MarksPC.VowleyFarm
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=f2b98b56439b049b1603ba920000000d-1334830490.410377-160094396
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/Mark/.gtkrc-2.0:/home/Mark/.gtkrc-2.0-kde4:/home/Mark/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-ERfbvo
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=Mark
:SSH_AUTH_SOCK=/tmp/ssh-aJibZbBN3528/agent.3528
:USERNAME=Mark
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Mark/.local/bin:/home/Mark/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/Mark
:QT_IM_MODULE=xim
:PWD=/home/Mark
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=3520
:LANG=en_GB.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/Mark
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=Mark
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-m67312NQlP,guid=ea2685b450131342187898a6000018e2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/Mark
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/Mark/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-Mark/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3717,unix/unix:/tmp/.ICE-unix/3717
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/Mark/.gtkrc:/home/Mark/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=MarksPC.VowleyFarm;1334839260;125526;3725_TIME15140201
Comment 1 Mark Stanton 2012-04-19 08:56:52 EDT
Created attachment 578637 [details]
File: maps
Comment 2 Mark Stanton 2012-04-19 08:56:57 EDT
Created attachment 578638 [details]
File: var_log_messages
Comment 3 Mark Stanton 2012-04-19 08:56:59 EDT
Created attachment 578639 [details]
File: backtrace
Comment 4 Mark Stanton 2012-05-03 12:28:45 EDT
Attempting to start KOrganizer (or Kontact, and perhaps others) causes this, every time.  I cannot now access these programs.

I have had an update problem with i386 and x64 version both having installed for some packages (I don't know why), and there also seems to have been a problem where two versions of some programs have installed.  I don't know if these two things are related.

I have successfully unisntalled some apps and re-installed them and the problem has gone away.  I have considered doing this with KDEPIM, however it appears that doing this remove all of KDE and associated applications (eg Kate), which I do not want to do.


backtrace_rating: 4
Package: kdepim-4.8.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Mark Stanton 2012-05-03 12:28:49 EDT
Created attachment 581899 [details]
File: backtrace
Comment 6 Rex Dieter 2012-05-05 11:58:57 EDT
[New LWP 16716]
Core was generated by `/usr/bin/korganizer'.
Program terminated with signal 7, Bus error.
#0  memset () at ../sysdeps/x86_64/memset.S:555
555	L(A0Q1):    mov    %rdx,-0x8(%rdi)

Thread 1 (LWP 16716):
#0  memset () at ../sysdeps/x86_64/memset.S:555
No locals.
#1  0x0000003901a06c7d in _dl_map_object_from_fd (name=0x404943 "libakonadi-contact.so.4", fd=3, fbp=0x7fff3d3c5070, realname=0x7f34ea9059a8 "/usr/lib64/libakonadi-contact.so.4", loader=<optimized out>, l_type=<optimized out>, mode=0, stack_endp=0x7fff3d3c53d0, nsid=0) at dl-load.c:1380

It's failing in libakonadi-contact.so.4 part of kdepimlibs, triaging there
Comment 7 Mark Stanton 2012-05-13 13:21:33 EDT
Fixed in newest version (4.8.3)

Note You need to log in before you can comment on or make changes to this bug.